version: "3"
services:
  reg-app:
    image: cybersimon/reg-app
    ports:
      - "8080:8080"
      - "8443:8443"
      - "9990:9990"
    environment:
      - DB_HOST=postgres
      - DB_PORT=5432
      - DB_NAME=regapp-demo
      - DB_USER=regapp-demo
      - DB_PASS=regapp-demo1234
      - JAVA_OPTS=-Xmx2G
    depends_on:
      - postgres
  postgres:
    image: postgres:13
    ports:
      - "5432:5432"
    environment:
      - LC_ALL=C.UTF-8
      - POSTGRES_DB=regapp-demo
      - POSTGRES_USER=regapp-demo
      - POSTGRES_PASSWORD=regapp-demo1234
      - POSTGRES_PORT=5432
    volumes:
      - pgdata:/var/lib/postgresql/data
volumes:
    pgdata:

